summaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test
diff options
context:
space:
mode:
authorAshlee Young <ashlee@onosfw.com>2015-10-09 18:32:44 -0700
committerAshlee Young <ashlee@onosfw.com>2015-10-09 18:32:44 -0700
commit6a07d2d622eaa06953f3353e39c080984076e8de (patch)
treebfb50a2090fce186c2cc545a400c969bf2ea702b /framework/src/onos/tools/test
parente6d71622143ff9b2421a1abbe8434b954b5b1099 (diff)
Updated master to commit id 6ee8aa3e67ce89908a8c93aa9445c6f71a18f986
Change-Id: I94b055ee2f298daf71e2ec794fd0f2495bd8081f
Diffstat (limited to 'framework/src/onos/tools/test')
-rw-r--r--framework/src/onos/tools/test/bin/ogroup-opts2
-rwxr-xr-xframework/src/onos/tools/test/bin/onos21
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-archetypes-test13
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-batch22
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-config22
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-install26
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-push-bits18
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-service1
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-set-controllers2
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-uninstall27
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-watch32
-rw-r--r--framework/src/onos/tools/test/cells/andrea11
-rw-r--r--framework/src/onos/tools/test/cells/tomx3
-rw-r--r--framework/src/onos/tools/test/scenarios/archetypes.xml18
-rwxr-xr-xframework/src/onos/tools/test/topos/onos.py2
-rw-r--r--framework/src/onos/tools/test/topos/optical2.py2
-rw-r--r--framework/src/onos/tools/test/topos/solar.py2
-rw-r--r--framework/src/onos/tools/test/topos/sys-nonlinear-10.config20
-rw-r--r--framework/src/onos/tools/test/topos/sys-nonlinear-4.config8
-rw-r--r--framework/src/onos/tools/test/topos/sys.config20
20 files changed, 237 insertions, 35 deletions
diff --git a/framework/src/onos/tools/test/bin/ogroup-opts b/framework/src/onos/tools/test/bin/ogroup-opts
index 41842bdd..f02b7a8f 100644
--- a/framework/src/onos/tools/test/bin/ogroup-opts
+++ b/framework/src/onos/tools/test/bin/ogroup-opts
@@ -44,7 +44,7 @@ function _cell-opts () {
fi
}
-complete -F _cell-opts cell
+complete -F _cell-opts cell vicell
# Tab completion settings for onos-create-app.
diff --git a/framework/src/onos/tools/test/bin/onos b/framework/src/onos/tools/test/bin/onos
index 89197db5..780a90dc 100755
--- a/framework/src/onos/tools/test/bin/onos
+++ b/framework/src/onos/tools/test/bin/onos
@@ -3,6 +3,27 @@
# ONOS remote command-line client.
# -----------------------------------------------------------------------------
+function _usage () {
+cat << _EOF_
+usage:
+ $(basename $0) [-w] [node]
+
+flags:
+- -w : Waits for ONOS instance to reach run-level 100, i.e. to be fully started.
+
+options:
+- [node] : the node to attach to
+
+summary:
+ ONOS remote command-line client.
+
+ The -w flag depends on 'onos-wait-for-start'. If [node] is unspecified, \$OCI
+ is used.
+
+_EOF_
+}
+[ "$1" = "-h" ] && _usage && exit 0
+
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
. $ONOS_ROOT/tools/test/bin/find-node.sh
diff --git a/framework/src/onos/tools/test/bin/onos-archetypes-test b/framework/src/onos/tools/test/bin/onos-archetypes-test
index 7ae00332..331c4332 100755
--- a/framework/src/onos/tools/test/bin/onos-archetypes-test
+++ b/framework/src/onos/tools/test/bin/onos-archetypes-test
@@ -3,6 +3,19 @@
# Builds a set of projects using ONOS archetypes.
# -----------------------------------------------------------------------------
+function _usage () {
+cat << _EOF_
+usage:
+ $(basename $0)
+
+summary:
+ Builds a set of projects using ONOS archetypes.
+
+_EOF_
+}
+
+[ "$1" = "-h" ] && _usage && exit 0
+
set -e
export AROOT=/tmp/foo
diff --git a/framework/src/onos/tools/test/bin/onos-batch b/framework/src/onos/tools/test/bin/onos-batch
index 67864a22..ae288916 100755
--- a/framework/src/onos/tools/test/bin/onos-batch
+++ b/framework/src/onos/tools/test/bin/onos-batch
@@ -3,6 +3,28 @@
# Executes selected set of ONOS commands using the batch mode.
# -----------------------------------------------------------------------------
+function _usage () {
+cat << _EOF_
+usage:
+ $(basename $0) [node] <commands>
+
+options:
+- [node] <commands> : node to run <commands>
+
+summary:
+ Executes selected set of ONOS commands using the batch mode.
+
+ <commands> is a comma-separated list of ONOS CLI commands.
+
+ If [node] isn't specified, the defualt target becomes \$OCI. When no commands
+ are specified, the commands 'summary','intents','flows', and 'hosts' are
+ executed against \$OCI.
+
+_EOF_
+}
+
+[ "$1" = "-h" ] && _usage && exit 0
+
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
diff --git a/framework/src/onos/tools/test/bin/onos-config b/framework/src/onos/tools/test/bin/onos-config
index 5c3ab024..348cb839 100755
--- a/framework/src/onos/tools/test/bin/onos-config
+++ b/framework/src/onos/tools/test/bin/onos-config
@@ -3,6 +3,28 @@
# Remotely configures & starts ONOS for the first time.
# -----------------------------------------------------------------------------
+function _usage () {
+cat << _EOF_
+usage:
+ $(basename $0) [node]
+
+options:
+- [node] : The node to configure
+
+summary:
+ Remotely configures and starts ONOS for the first time.
+
+ The procedure for configruing a node include determining base features,
+ applications to load at startup, and clustering and logical network view
+ configurations, among others.
+
+ If [node] isn't specified, the defualt target becomes \$OCI.
+
+_EOF_
+}
+
+[ "$1" = "-h" ] && _usage && exit 0
+
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
diff --git a/framework/src/onos/tools/test/bin/onos-install b/framework/src/onos/tools/test/bin/onos-install
index 7384c2e3..139944e4 100755
--- a/framework/src/onos/tools/test/bin/onos-install
+++ b/framework/src/onos/tools/test/bin/onos-install
@@ -3,6 +3,32 @@
# Remotely pushes bits to a remote node and installs ONOS on it.
# -----------------------------------------------------------------------------
+function _usage () {
+cat << _EOF_
+usage:
+ $(basename $0) [-fn] [-m] <settings> [node]
+
+flags:
+- -f : forces uninstall of currently installed ONOS
+- -n : do not copy over onos.conf upstart configuration file.
+- -m <settings> : pass <settings> XML file to remote maven installation
+
+options:
+- [node] : remote node to install ONOS on.
+
+summary:
+ Remotely pushes bits to a remote node and installs ONOS on it.
+
+ The [-n] flag assumes that Upstart is used. The [-f] flag depends on
+ and 'onos-config'.
+
+ If [node] is not specified the default target is \$OCI.
+
+_EOF_
+}
+
+[ "$1" = "-h" ] && _usage && exit 0
+
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
diff --git a/framework/src/onos/tools/test/bin/onos-push-bits b/framework/src/onos/tools/test/bin/onos-push-bits
index 8c9276fc..4d425c63 100755
--- a/framework/src/onos/tools/test/bin/onos-push-bits
+++ b/framework/src/onos/tools/test/bin/onos-push-bits
@@ -2,6 +2,24 @@
# -----------------------------------------------------------------------------
# Remotely pushes bits to a remote node in preparation for install.
# -----------------------------------------------------------------------------
+function _usage () {
+cat << _EOF_
+usage:
+ $(basename $0) [node]
+
+options:
+- [node] : the target node to prime for installation
+
+summary:
+ Remotely pushes bits to a remote node in preparation for install.
+
+ $(basename $0) is invoked as part of 'onos-install', and shouldn't be
+ directly invoked for the most part.
+
+_EOF_
+}
+
+[ "$1" = "-h" ] && _usage && exit 0
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
diff --git a/framework/src/onos/tools/test/bin/onos-service b/framework/src/onos/tools/test/bin/onos-service
index cc694911..35764e6f 100755
--- a/framework/src/onos/tools/test/bin/onos-service
+++ b/framework/src/onos/tools/test/bin/onos-service
@@ -34,7 +34,6 @@ fi
case $2 in
start|stop|restart|status)
-
# Select the target
if [ "${1}" = "--cell" ]; then
nodes=$(env | sort | egrep "OC[0-9]+" | cut -d= -f2)
diff --git a/framework/src/onos/tools/test/bin/onos-set-controllers b/framework/src/onos/tools/test/bin/onos-set-controllers
index 5b3cd6f7..27cc16c8 100755
--- a/framework/src/onos/tools/test/bin/onos-set-controllers
+++ b/framework/src/onos/tools/test/bin/onos-set-controllers
@@ -6,7 +6,7 @@
controllers=""
for node in $ONOS_INSTANCES; do
- controllers="$controllers tcp:$node:${OF_PORT:-6633}"
+ controllers="$controllers tcp:$node:${OF_PORT:-6653}"
done
ssh ${ONOS_USER:-sdn}@$OCN "
diff --git a/framework/src/onos/tools/test/bin/onos-uninstall b/framework/src/onos/tools/test/bin/onos-uninstall
index 7a8b9a5f..ff8ff536 100755
--- a/framework/src/onos/tools/test/bin/onos-uninstall
+++ b/framework/src/onos/tools/test/bin/onos-uninstall
@@ -3,6 +3,24 @@
# Remotely stops & uninstalls ONOS on the specified node.
# -----------------------------------------------------------------------------
+function _usage () {
+cat << _EOF_
+usage:
+ $(basename $0) [node]
+
+options:
+- [node] : The remote instance to uninstall ONOS from.
+
+summary:
+ Remotely stops and uninstalls ONOS on the specified node.
+
+ If [node] isn't specified, \$OCI becomes the target.
+
+_EOF_
+}
+
+[ "$1" = "-h" ] && _usage && exit 0
+
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
@@ -16,9 +34,12 @@ ssh $remote "
[ -z \"\$(ps -ef | grep karaf.jar | grep -v grep)\" ] && break
sleep 1
done
- [ -z \"\$(ps -ef | grep karaf.jar | grep -v grep)\" ] || echo 'ONOS failed to stop.'
+ [ -z \"\$(ps -ef | grep karaf.jar | grep -v grep)\" ] || \
+ (echo 'ONOS failed to stop.'; status=1)
# Remove onos directory and init file
- sudo rm -fr $ONOS_INSTALL_DIR
- [ -f /etc/init/onos.conf ] && sudo rm /etc/init/onos.conf
+ [ -d $ONOS_INSTALL_DIR ] && sudo rm -fr $ONOS_INSTALL_DIR
+ [ -f /etc/init/onos.conf ] && sudo rm -f /etc/init/onos.conf
+
+ exit \${status:-0};
"
diff --git a/framework/src/onos/tools/test/bin/onos-watch b/framework/src/onos/tools/test/bin/onos-watch
index 28e88c2f..11962f9e 100755
--- a/framework/src/onos/tools/test/bin/onos-watch
+++ b/framework/src/onos/tools/test/bin/onos-watch
@@ -2,6 +2,30 @@
# -----------------------------------------------------------------------------
# Monitors selected set of ONOS commands using the system watch command.
# -----------------------------------------------------------------------------
+function _usage () {
+cat << _EOF_
+usage:
+ $(basename $0) [node] <commands> [watchflags]
+
+options:
+- [node] <commands> : the node to run the commands against
+- [watchflags] : flags to be passed to the watch command.
+
+summary:
+ Monitors selected set of ONOS commands using the system watch command.
+
+ <commands> is a comma-sepatarted list of ONOS CLI commands. If no commands
+ are supplied, the commands run are 'summary', 'intents', 'flows', and
+ 'hosts' against \$OCI.
+
+ Note that [watchflags] only applies to platforms with the Linux-like watch
+ command. For other platforms, the default behavior of watch (refresh every 2
+ s) is emulated.
+
+_EOF_
+}
+
+[ "$1" = "-h" ] && _usage && exit 0
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
@@ -14,4 +38,10 @@ aux=/tmp/onos-watch.$$
trap "rm -f $aux" EXIT
echo "$commands" | tr ',' '\n' > $aux
-watch $3 "onos $node -b <$aux 2>/dev/null"
+
+# emulate watch if not Linux.
+if [ "$(uname)" != "Linux" ]; then
+ while clear; "onos $node -b <$aux 2>/dev/null" ; do sleep 2; done
+else
+ watch $3 "onos $node -b <$aux 2>/dev/null"
+fi
diff --git a/framework/src/onos/tools/test/cells/andrea b/framework/src/onos/tools/test/cells/andrea
new file mode 100644
index 00000000..1f9f22fe
--- /dev/null
+++ b/framework/src/onos/tools/test/cells/andrea
@@ -0,0 +1,11 @@
+# Andrea's ProxMox ONOS instances 1,2,3 & ONOS mininet box
+
+export ONOS_NIC="10.128.12.*"
+export OC1="10.128.12.1"
+export OC2="10.128.12.2"
+export OC3="10.128.12.3"
+export OCN="10.128.12.4"
+
+export OCT=$OC1
+export ONOS_USE_SSH=true
+export ONOS_APPS=drivers,openflow,proxyarp,ovsdb
diff --git a/framework/src/onos/tools/test/cells/tomx b/framework/src/onos/tools/test/cells/tomx
index 3e528ee8..91036e67 100644
--- a/framework/src/onos/tools/test/cells/tomx
+++ b/framework/src/onos/tools/test/cells/tomx
@@ -7,4 +7,5 @@ export OC3="10.128.11.3"
export OCN="10.128.11.4"
export OCT=$OC1
-export ONOS_APPS=drivers,openflow,proxyarp \ No newline at end of file
+export ONOS_USE_SSH=true
+export ONOS_APPS=drivers,openflow,proxyarp,mobility \ No newline at end of file
diff --git a/framework/src/onos/tools/test/scenarios/archetypes.xml b/framework/src/onos/tools/test/scenarios/archetypes.xml
index 8244a32f..5440b55f 100644
--- a/framework/src/onos/tools/test/scenarios/archetypes.xml
+++ b/framework/src/onos/tools/test/scenarios/archetypes.xml
@@ -44,6 +44,24 @@
<step name="Verify-UI" requires="^"
exec="onos-check-views ${OCI} id=sample"/>
+ <step name="Create-App-UI-Table-Overlay" requires="Reinstall-App-With-UI"
+ exec="onos-create-app uitab org.test.app test-app 1.2.3 org.test.app -DinteractiveMode=false"/>
+ <step name="Build-App-With-UI-Table" requires="^"
+ exec="mvn clean install"/>
+ <step name="Reinstall-App-With-UI-Table" requires="^,~Verify-UI"
+ exec="onos-app ${OCI} reinstall! target/test-app-1.2.3.oar"/>
+ <step name="Verify-UI-Table" requires="^"
+ exec="onos-check-views ${OCI} id=sample"/>
+
+ <step name="Create-App-UI-Topo-Overlay" requires="Reinstall-App-With-UI-Table"
+ exec="onos-create-app uitopo org.test.app test-app 1.2.3 org.test.app -DinteractiveMode=false"/>
+ <step name="Build-App-With-UI-Topo" requires="^"
+ exec="mvn clean install"/>
+ <step name="Reinstall-App-With-UI-Topo" requires="^,~Verify-UI-Table"
+ exec="onos-app ${OCI} reinstall! target/test-app-1.2.3.oar"/>
+ <step name="Verify-UI-Topo" requires="^"
+ exec="onos-check-views ${OCI} id=sample"/>
+
<step name="Uninstall-App" requires="^"
exec="onos-app ${OCI} uninstall org.foo.app"/>
</group>
diff --git a/framework/src/onos/tools/test/topos/onos.py b/framework/src/onos/tools/test/topos/onos.py
index ae6045e3..f9d4ba23 100755
--- a/framework/src/onos/tools/test/topos/onos.py
+++ b/framework/src/onos/tools/test/topos/onos.py
@@ -31,7 +31,7 @@ class ONOS( Controller ):
Controller.__init__( self, name, **kwargs )
# the following have been done for us:
#self.ip = ip ('127.0.0.1')
- #self.port = port (6633)
+ #self.port = port (6653)
#self.protocol = protocol ('tcp')
#self.checkListening()
diff --git a/framework/src/onos/tools/test/topos/optical2.py b/framework/src/onos/tools/test/topos/optical2.py
index 36cdbadd..b778592c 100644
--- a/framework/src/onos/tools/test/topos/optical2.py
+++ b/framework/src/onos/tools/test/topos/optical2.py
@@ -69,7 +69,7 @@ topos = {'optical': ( lambda: OpticalTopo() )}
def run():
- c = RemoteController('c','127.0.0.1',6633)
+ c = RemoteController('c','127.0.0.1',6653)
net = Mininet( topo=OpticalTopo(),controller=None,autoSetMacs=True)
net.addController(c)
net.start()
diff --git a/framework/src/onos/tools/test/topos/solar.py b/framework/src/onos/tools/test/topos/solar.py
index ea11b664..f316162a 100644
--- a/framework/src/onos/tools/test/topos/solar.py
+++ b/framework/src/onos/tools/test/topos/solar.py
@@ -23,7 +23,7 @@ class Solar(object):
# We are creating the controller with local-loopback on purpose to avoid
# having the switches connect immediately. Instead, we'll set controller
# explicitly for each switch after configuring it as we want.
- self.ctrls = [ RemoteController(cname, cip, 6633) for cip in cips ]
+ self.ctrls = [ RemoteController(cname, cip, 6653) for cip in cips ]
self.net = Mininet(controller=RemoteController, switch = OVSKernelSwitch,
build=False)
diff --git a/framework/src/onos/tools/test/topos/sys-nonlinear-10.config b/framework/src/onos/tools/test/topos/sys-nonlinear-10.config
index 2b999d39..b3a718dd 100644
--- a/framework/src/onos/tools/test/topos/sys-nonlinear-10.config
+++ b/framework/src/onos/tools/test/topos/sys-nonlinear-10.config
@@ -56,7 +56,7 @@
[{switch,1,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:01"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -66,7 +66,7 @@
{switch,2,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:02"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -76,7 +76,7 @@
{switch,3,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:03"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -86,7 +86,7 @@
{switch,4,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:04"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -96,7 +96,7 @@
{switch,5,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:05"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -107,7 +107,7 @@
{switch,7,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:07"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -118,7 +118,7 @@
{switch,8,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:08"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -128,7 +128,7 @@
{switch,9,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:09"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -138,7 +138,7 @@
{switch,10,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:0A"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -148,7 +148,7 @@
{switch,6,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:06"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
diff --git a/framework/src/onos/tools/test/topos/sys-nonlinear-4.config b/framework/src/onos/tools/test/topos/sys-nonlinear-4.config
index b843146a..b1451bee 100644
--- a/framework/src/onos/tools/test/topos/sys-nonlinear-4.config
+++ b/framework/src/onos/tools/test/topos/sys-nonlinear-4.config
@@ -18,7 +18,7 @@
[{switch,1,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:01"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -28,7 +28,7 @@
{switch,3,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:03"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -37,7 +37,7 @@
{switch,2,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:02"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -47,7 +47,7 @@
{switch,4,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:04"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
diff --git a/framework/src/onos/tools/test/topos/sys.config b/framework/src/onos/tools/test/topos/sys.config
index 2b999d39..b3a718dd 100644
--- a/framework/src/onos/tools/test/topos/sys.config
+++ b/framework/src/onos/tools/test/topos/sys.config
@@ -56,7 +56,7 @@
[{switch,1,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:01"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -66,7 +66,7 @@
{switch,2,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:02"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -76,7 +76,7 @@
{switch,3,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:03"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -86,7 +86,7 @@
{switch,4,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:04"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -96,7 +96,7 @@
{switch,5,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:05"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -107,7 +107,7 @@
{switch,7,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:07"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -118,7 +118,7 @@
{switch,8,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:08"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -128,7 +128,7 @@
{switch,9,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:09"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -138,7 +138,7 @@
{switch,10,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:0A"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,
@@ -148,7 +148,7 @@
{switch,6,
[{backend,linc_us4_oe},
{datapath_id,"00:00:ff:ff:ff:ff:ff:06"},
- {controllers,[{"Switch0-Controller","10.1.8.147",6633,tcp}]},
+ {controllers,[{"Switch0-Controller","10.1.8.147",6653,tcp}]},
{controllers_listener,disabled},
{queues_status,disabled},
{ports,